
import useDragAndDropStore from '@/feature/messenger/store/useDragAndDropStore';
import './style.css'
import { useState } from 'react';
import useConfigChatStore from '@/feature/messenger/store/chat_store/useConfigChatStore';
import useConversationsStore from '@/feature/messenger/store/chat_store/useConversationsStore';

const DragAndDrog = () => {
    const isDraggingParent = useDragAndDropStore(state => state.isDragging);
    const handleDragEnter = useDragAndDropStore(state => state.handleDragEnter);
    const [isDragging, setIsDragging] = useState(isDraggingParent);
    const agentPermissions = useConfigChatStore(state => state.permisions);
    const selectedConversation = useConversationsStore(state => state.selectedConversation);

    const handleDrop = useDragAndDropStore(state => state.handleDrop);
    const handleLocalDrop = (e : any) => {
        e.preventDefault();
        setIsDragging(false);
        const files = e.dataTransfer.files;
        handleDrop(files);
    };

    return (
        <div className={`drag-and-drop ${isDragging ? 'dragging' : ''}`}
            onDrop={(e) => handleLocalDrop(e)}
            onDragOver={(e) => handleDragEnter(e, selectedConversation, agentPermissions.adjuntar_archivos)}
        >
            <div className="drag-and-drop-content">
                <div className="drag-and-drop-icon"><i className="fa fa-upload"></i></div>
                <div className="drag-and-drop-text">Drop files here</div>
            </div>
        </div>
    )
}

export default DragAndDrog